= LSINITRD(1)
:doctype: manpage
:man source:   dracut
:man manual:   dracut
:man version:  {version}

NAME
----
lsinitrd - tool to show the contents of an initramfs image

SYNOPSIS
--------
*lsinitrd* ['OPTION...'] [<image> [<filename> [<filename> [...] ]]]

*lsinitrd* ['OPTION...'] -k <kernel version>

DESCRIPTION
-----------
lsinitrd shows the contents of an initramfs image. if <image> is omitted, then
lsinitrd determines the default location based on the local configuration
or Linux distribution policy.

OPTIONS
-------
**-h, --help**::
    print a help message and exit.

**-s, --size**::
    sort the contents of the initramfs by size.

**-f, --file** _<filename>_::
    print the contents of <filename>.

**-k, --kver** _<kernel version>_::
    inspect the initramfs of <kernel version>.

**-m, --mod**::
    list dracut modules included of the initramfs image.

**--unpack**::
    unpack the initramfs to the current directory, instead of displaying the contents.
    If optional filenames are given, will only unpack specified files, else the whole image will be unpacked.
    Won't unpack anything from early cpio part.

**--unpackearly**::
    unpack the early microcode initramfs to the current directory, instead of displaying the contents.
    Same as --unpack, but only unpack files from early cpio part.

**-v, --verbose**::
    unpack verbosely

AVAILABILITY
------------
The lsinitrd command is part of the dracut package and is available from
link:$$https://github.com/dracut-ng/dracut-ng$$[https://github.com/dracut-ng/dracut-ng]

AUTHORS
-------
Harald Hoyer

Amerigo Wang

Nikoli

SEE ALSO
--------
man:dracut[8]
